3.0.16の動作環境とインストール

mitchy731 > 3.0.16の動作環境とインストール @ 2018/9/18 17:48
3.0.16のインストールにおいて、PHPのバージョンは「5.2.0以上」であればOKと表示されますが、
実際は、\lib\Baser\Model\BcAppModel.php に PHP5.4の記述がありインストールが失敗します。

行 1538
変更前:return (bool)$this->field('deleted', ['deleted' => 1]);
変更後:return (bool)$this->field('deleted', array('deleted' => 1));

行 1591
変更前:$paths = [];
変更後:$paths = array();

このように変更すると、PHP 5.3.3の環境ではインストールが成功しました。
seto > Re: 3.0.16の動作環境とインストール @ 2018/9/19 15:36
こんにちは

3.0.16 リリース後に、以下のコミットで修正されているようです。
https://github.com/baserproject/basercms/commit/26c527a8a65b03595a4c330c8b33ed8dabf4b288

配布版としては、3.0.17にて修正されると思われます。
ログイン
ユーザー名:
パスワード:


  新規登録 / パスワード紛失

検索

facebook
フォーラムで悩みが解決した場合など、よかったら「いいね!」をポチっとクリックしてください!質問の回答者や開発者の励みになります

フォーラムガイド


関連リンク

オンライン状況
25 人のユーザが現在オンラインです。 (23 人のユーザが フォーラム を参照しています。)

登録ユーザ: 0
ゲスト: 25